CSI(1)

-.

NAME
The CHICKEN Scheme interpreter

SYNOPSIS
csi [ pathname | option ... ]

DESCRIPTION
csi is an interpreter for the programming language Scheme supporting most of the features as described in the Revised^5 Report on the Algorithmic Language Scheme . csi is implemented as a program compiled with the chicken compiler.

OPTIONS
Enter csi -help for a list of supported command-line options.

ENVIRONMENT VARIABLES

CHICKEN_INCLUDE_PATH
    Contains one or more pathnames where the interpreter should also look for include-files, separated by ; characters.

CHICKEN_PREFIX
    Is used as a prefix directory for support files, include-files and libraries.

CSI_OPTIONS
    When set to a string of command-line options, then the options are passed implicitly to every direct or indirect invocation of csi
    Note that runtime options of the form -... can not be passed using this method.

DOCUMENTATION
More information can be found in the CHICKEN User's Manual

BUGS
Submit bug reports by e-mail to chicken-janitors@nongnu.org , preferrably using the chicken-bug tool.

AUTHOR
The CHICKEN Team

SEE ALSO
chicken(1) chicken-bug(1)